Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.http.portlets
Class HipergateRenderResponse

    java.lang.Object
      com.knowgate.http.portlets.HipergateRenderResponse

    public class HipergateRenderResponse

extends java.lang.Object

Constructor Summary
`HipergateRenderResponse(HttpServletResponse oServletRes)`

Method Summary
`void` | `addProperty(java.lang.String key, java.lang.String value)`
`PortletURL` | `createActionURL()`
`PortletURL` | `createRenderURL()`
`java.lang.String` | `encodeURL(java.lang.String path)`
`void` | `flushBuffer()`
`int` | `getBufferSize()`
`java.lang.String` | `getCharacterEncoding()`
`java.lang.String` | `getContentType()`
`java.util.Locale` | `getLocale()`
`java.lang.String` | `getNamespace()`
`java.io.OutputStream` | `getPortletOutputStream()`
`java.io.PrintWriter` | `getWriter()`
`boolean` | `isCommitted()`
`void` | `reset()`
`void` | `resetBuffer()`
`void` | `setBufferSize(int size)`
`void` | `setContentType(java.lang.String type)`
`void` | `setProperty(java.lang.String key, java.lang.String value)`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HipergateRenderResponse

    public HipergateRenderResponse(HttpServletResponse oServletRes)

Method Detail

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.String value)

### addProperty

    public void addProperty(java.lang.String key,
                            java.lang.String value)

### encodeURL

    public java.lang.String encodeURL(java.lang.String path)

### getContentType

    public java.lang.String getContentType()

### createRenderURL

    public PortletURL createRenderURL()

### createActionURL

    public PortletURL createActionURL()

### getNamespace

    public java.lang.String getNamespace()

### setTitle

    public void setTitle(java.lang.String title)

### setContentType

    public void setContentType(java.lang.String type)

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

### getWriter

    public java.io.PrintWriter getWriter()
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getLocale

    public java.util.Locale getLocale()

### setBufferSize

    public void setBufferSize(int size)

### getBufferSize

    public int getBufferSize()

### flushBuffer

    public void flushBuffer()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### resetBuffer

    public void resetBuffer()

### isCommitted

    public boolean isCommitted()

### reset

    public void reset()

### getPortletOutputStream

    public java.io.OutputStream getPortletOutputStream()
                                                throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD